#include "dijkstra.h"
#include <iostream>

int main(int argc, char *argv[])
{
  CDijkstra dijkstra;
  Eigen::MatrixXd graph(7,7);
  std::vector<unsigned int> path;

  graph << 0,3,9,0,0,0,0,
           0,0,0,7,1,0,0,
           0,2,0,7,0,0,0,
           0,0,0,0,0,2,8,
           0,0,4,5,0,9,0,
           0,0,0,0,0,0,4,
           0,0,0,0,0,0,0;

  dijkstra.find_shortest_path(graph,0,6,path);
  for(unsigned int i=0;i<path.size();i++)
    std::cout << path[i] << ",";
  std::cout << std::endl;
}
