#ifndef _OPENDRIVE_LINE_H
#define _OPENDRIVE_LINE_H

#include "opendrive_geometry.h"

class COpendriveLine : public COpendriveGeometry
{
  friend class COpendriveRoadNode;
  friend class COpendriveRoadSegment;
  private:
  protected:
    COpendriveLine();
    COpendriveLine(const COpendriveGeometry &object);
    virtual bool transform_local_pose(const TOpendriveTrackPose &track,TOpendriveLocalPose &local) const;
    virtual void print(std::ostream &out);
    virtual void load_params(const planView::geometry_type &geometry_info);
    virtual std::string get_name(void);
  public:
    virtual COpendriveGeometry *clone(void);
    virtual void get_curvature(double &start,double &end);
    void operator=(const COpendriveLine &object);
    ~COpendriveLine();
};

#endif
