#include "opendrive_line.h"

COpendriveLine::COpendriveLine()
{

}

COpendriveLine::COpendriveLine(const COpendriveGeometry &object) : COpendriveGeometry(object)
{

}

bool COpendriveLine::transform_local_pose(const TOpendriveTrackPose &track,TOpendriveLocalPose &local) const
{
  local.u=track.s;
  local.v=track.t;
  local.heading=track.heading;

  return true;
}

void COpendriveLine::print(std::ostream &out)
{
  COpendriveGeometry::print(out);
}

std::string COpendriveLine::get_name(void)
{
  return std::string("line");
}

void COpendriveLine::load_params(const planView::geometry_type &geometry_info)
{

}

COpendriveGeometry *COpendriveLine::clone(void)
{
  COpendriveLine *new_line=new COpendriveLine(*this);

  return new_line;
}

void COpendriveLine::get_curvature(double &start,double &end)
{
  start=0.0;
  end=0.0;
}

void COpendriveLine::operator=(const COpendriveLine &object)
{
  COpendriveGeometry::operator=(object);
}

COpendriveLine::~COpendriveLine()
{

}

